# Uses of Interface
org.eclipse.microprofile.openapi.models.examples.Example

Packages that use Example
Package
Description
org.eclipse.microprofile.openapi
A set of Java interfaces, annotations and programming models which allow Java developers to natively produce OpenAPI v3.1 documents from their Jakarta REST applications.
org.eclipse.microprofile.openapi.models
A set of interfaces for programmable models and their helper classes, many derived from Swagger Core library.
org.eclipse.microprofile.openapi.models.examples
An interface to represent a programmable model of an example of a data type or a media type.
org.eclipse.microprofile.openapi.models.headers
An interface of a programmable model to represent a single header object.
org.eclipse.microprofile.openapi.models.media
A set of interfaces for programmable models to represent input and output data types and media types.
org.eclipse.microprofile.openapi.models.parameters
A set of model interfaces to describe operation parameters and operation's request body.

## Uses of Example in org.eclipse.microprofile.openapi

Methods in org.eclipse.microprofile.openapi that return Example
Modifier and Type
Method
Description
`static Example`
OASFactory.`createExample()`
This method creates a new `Example` instance.

## Uses of Example in org.eclipse.microprofile.openapi.models

Methods in org.eclipse.microprofile.openapi.models that return types with arguments of type Example
Modifier and Type
Method
Description
`Map<String,Example>`
Components.`getExamples()`
Returns the examples property from a Components instance.
Methods in org.eclipse.microprofile.openapi.models with parameters of type Example
Modifier and Type
Method
Description
`Components`
Components.`addExample(String key, Example example)`
Adds the given example to this Components' map of examples with the given string as its key.
Method parameters in org.eclipse.microprofile.openapi.models with type arguments of type Example
Modifier and Type
Method
Description
`default Components`
Components.`examples(Map<String,Example> examples)`
Sets this Components' examples property to the given Map containing keys and reusable example objects.
`void`
Components.`setExamples(Map<String,Example> examples)`
Sets this Components' examples property to the given Map containing keys and reusable example objects.

## Uses of Example in org.eclipse.microprofile.openapi.models.examples

Methods in org.eclipse.microprofile.openapi.models.examples that return Example
Modifier and Type
Method
Description
`default Example`
Example.`description(String description)`
Sets this Example's description property to the given string.
`default Example`
Example.`externalValue(String externalValue)`
Sets this Example's externalValue property to the given string.
`default Example`
Example.`summary(String summary)`
Sets this Example's summary property to the given string.
`default Example`
Example.`value(Object value)`
Sets this Example's value property to the given value.

## Uses of Example in org.eclipse.microprofile.openapi.models.headers

Methods in org.eclipse.microprofile.openapi.models.headers that return types with arguments of type Example
Modifier and Type
Method
Description
`Map<String,Example>`
Header.`getExamples()`
Returns the examples property from a Header instance.
Methods in org.eclipse.microprofile.openapi.models.headers with parameters of type Example
Modifier and Type
Method
Description
`Header`
Header.`addExample(String key, Example example)`
Adds an example of the header using the specified key to this Header instance.
Method parameters in org.eclipse.microprofile.openapi.models.headers with type arguments of type Example
Modifier and Type
Method
Description
`default Header`
Header.`examples(Map<String,Example> examples)`
Sets the examples property of this Header instance to the given map.
`void`
Header.`setExamples(Map<String,Example> examples)`
Sets the examples property of this Header instance to the given map.

## Uses of Example in org.eclipse.microprofile.openapi.models.media

Methods in org.eclipse.microprofile.openapi.models.media that return types with arguments of type Example
Modifier and Type
Method
Description
`Map<String,Example>`
MediaType.`getExamples()`
Returns the collection of examples from a MediaType instance.
Methods in org.eclipse.microprofile.openapi.models.media with parameters of type Example
Modifier and Type
Method
Description
`MediaType`
MediaType.`addExample(String key, Example example)`
Adds an example item to the examples map of a MediaType instance.
Method parameters in org.eclipse.microprofile.openapi.models.media with type arguments of type Example
Modifier and Type
Method
Description
`default MediaType`
MediaType.`examples(Map<String,Example> examples)`
Sets the examples field of a MediaType instance to the given map object.
`void`
MediaType.`setExamples(Map<String,Example> examples)`
Sets the examples field of a MediaType instance to the given map object.

## Uses of Example in org.eclipse.microprofile.openapi.models.parameters

Methods in org.eclipse.microprofile.openapi.models.parameters that return types with arguments of type Example
Modifier and Type
Method
Description
`Map<String,Example>`
Parameter.`getExamples()`
Returns the examples property from a Parameter instance.
Methods in org.eclipse.microprofile.openapi.models.parameters with parameters of type Example
Modifier and Type
Method
Description
`Parameter`
Parameter.`addExample(String key, Example example)`
Adds an example of the parameter using the specified key.
Method parameters in org.eclipse.microprofile.openapi.models.parameters with type arguments of type Example
Modifier and Type
Method
Description
`default Parameter`
Parameter.`examples(Map<String,Example> examples)`
Sets the examples property of a Parameter instance to the given value.
`void`
Parameter.`setExamples(Map<String,Example> examples)`
Sets the examples property of a Parameter instance to the given value.